net.minecraft.client.renderer.entity

## Class RenderItem

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderItem

-     public class RenderItem
      extends Render

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `renderInFrame`
    `boolean` | `renderWithColor`
    `float` | `zLevel` Defines the zLevel of rendering of item on GUI.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderItem(EntityItem par1EntityItem, double par2, double par4, double par6, float par8, float par9)` Renders the item
    `byte` | `getMiniBlockCount(ItemStack stack)`
    `byte` | `getMiniItemCount(ItemStack stack)` Allows for a subclass to override how many rendered items appear in a "mini item 3d stack"
    `void` | `renderIcon(int par1, int par2, Icon par3Icon, int par4, int par5)`
    `void` | `renderItemAndEffectIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5)` Render the item's icon or block into the GUI, including the glint effect.
    `void` | `renderItemIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5)` Renders the item's icon or block into the UI at the specified position.
    `void` | `renderItemIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5, boolean renderEffect)`
    `void` | `renderItemOverlayIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5)` Renders the item's overlay information.
    `void` | `renderItemOverlayIntoGUI(FontRenderer par1FontRenderer, TextureManager par2TextureManager, ItemStack par3ItemStack, int par4, int par5, String par6Str)`
    `boolean` | `shouldBob()` Items should have a bob effect
    `boolean` | `shouldSpreadItems()` Items should spread out when rendered in 3d?

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderWithColor

          public boolean renderWithColor

    - #### zLevel

          public float zLevel

      Defines the zLevel of rendering of item on GUI.

    - #### renderInFrame

          public static boolean renderInFrame

  - ### Constructor Detail

    - #### RenderItem

          public RenderItem()

  - ### Method Detail

    - #### doRenderItem

          public void doRenderItem(EntityItem par1EntityItem,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

      Renders the item

    - #### renderItemIntoGUI

          public void renderItemIntoGUI(FontRenderer par1FontRenderer,
                               TextureManager par2TextureManager,
                               ItemStack par3ItemStack,
                               int par4,
                               int par5)

      Renders the item's icon or block into the UI at the specified position.

    - #### renderItemIntoGUI

          public void renderItemIntoGUI(FontRenderer par1FontRenderer,
                               TextureManager par2TextureManager,
                               ItemStack par3ItemStack,
                               int par4,
                               int par5,
                               boolean renderEffect)

    - #### renderItemAndEffectIntoGUI

          public void renderItemAndEffectIntoGUI(FontRenderer par1FontRenderer,
                                        TextureManager par2TextureManager,
                                        ItemStack par3ItemStack,
                                        int par4,
                                        int par5)

      Render the item's icon or block into the GUI, including the glint effect.

    - #### renderItemOverlayIntoGUI

          public void renderItemOverlayIntoGUI(FontRenderer par1FontRenderer,
                                      TextureManager par2TextureManager,
                                      ItemStack par3ItemStack,
                                      int par4,
                                      int par5)

      Renders the item's overlay information. Examples being stack count or damage on top of the item's image at the specified position.

    - #### renderItemOverlayIntoGUI

          public void renderItemOverlayIntoGUI(FontRenderer par1FontRenderer,
                                      TextureManager par2TextureManager,
                                      ItemStack par3ItemStack,
                                      int par4,
                                      int par5,
                                      String par6Str)

    - #### renderIcon

          public void renderIcon(int par1,
                        int par2,
                        Icon par3Icon,
                        int par4,
                        int par5)

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Specified by:
        `doRender` in class `Render`

    - #### shouldSpreadItems

          public boolean shouldSpreadItems()

      Items should spread out when rendered in 3d?
      Returns:

    - #### shouldBob

          public boolean shouldBob()

      Items should have a bob effect
      Returns:

    - #### getMiniBlockCount

          public byte getMiniBlockCount(ItemStack stack)

    - #### getMiniItemCount

          public byte getMiniItemCount(ItemStack stack)

      Allows for a subclass to override how many rendered items appear in a "mini item 3d stack"
      Parameters:
        `stack` -
      Returns: